%define upstream_name    Inline-Python
%define upstream_version 0.49

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Easy implementation of Python extensions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Inline/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::MD5) >= 2.500.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Inline) >= 0.460.0
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildRequires: python-devel
%description
The 'Inline::Python' module allows you to put Python source code directly
"inline" in a Perl script or module. It sets up an in-process Python
interpreter, runs your code, and then examines Python's symbol table for
things to bind to Perl. The process of interrogating the Python interpreter
for globals only occurs the first time you run your Python code. The
namespace is cached, and subsequent calls use the cached version.

This document describes 'Inline::Python', the Perl package which gives you
access to a Python interpreter. For lack of a better place to keep it, it
also gives you instructions on how to use 'perlmodule', the Python package
which gives you access to the Perl interpreter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make


%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README TESTED
%{_mandir}/man3/*
%perl_vendorarch/Inline
%perl_vendorarch/auto/Inline

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.490.0-4pclos2017
- rebuild against updates

